Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QToolButton.ToolButtonPopupMode

    java.lang.Object
      java.lang.Enum<QToolButton.ToolButtonPopupMode>
          com.trolltech.qt.gui.QToolButton.ToolButtonPopupMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QToolButton.ToolButtonPopupMode>

Enclosing class:
  QToolButton

    public static enum QToolButton.ToolButtonPopupMode

extends java.lang.Enum<QToolButton.ToolButtonPopupMode>
implements QtEnumerator

Describes how a menu should be popped up for tool buttons that has a menu set or contains a list of actions.

Enum Constant Summary
`DelayedPopup` After pressing and holding the tool button down for a certain amount of time (the timeout is style dependant, see QStyle::SH_ToolButton_PopupDelay), the menu is displayed.
`InstantPopup` The menu is displayed, without delay, when the tool button is pressed.
`MenuButtonPopup` In this mode the tool button displays a special arrow to indicate that a menu is present.

Method Summary
`static QToolButton.ToolButtonPopupMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QToolButton.ToolButtonPopupMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QToolButton.ToolButtonPopupMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DelayedPopup

    public static final QToolButton.ToolButtonPopupMode DelayedPopup

  After pressing and holding the tool button down for a certain amount of time (the timeout is style dependant, see QStyle::SH_ToolButton_PopupDelay), the menu is displayed. A typical application example is the "back" button in some web browsers's tool bars. If the user clicks it, the browser simply browses back to the previous page. If the user presses and holds the button down for a while, the tool button shows a menu containing the current history list

### MenuButtonPopup

    public static final QToolButton.ToolButtonPopupMode MenuButtonPopup

  In this mode the tool button displays a special arrow to indicate that a menu is present. The menu is displayed when the arrow part of the button is pressed.

### InstantPopup

    public static final QToolButton.ToolButtonPopupMode InstantPopup

  The menu is displayed, without delay, when the tool button is pressed. In this mode, the button's own action is not triggered.

Method Detail

### values

    public static final QToolButton.ToolButtonPopupMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QToolButton.ToolButtonPopupMode c : QToolButton.ToolButtonPopupMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QToolButton.ToolButtonPopupMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QToolButton.ToolButtonPopupMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD